Skip to content

List transactions

Request

Security
oauth2ClientCredentials(Required scopes: transactions:read)
Query
pagenumberrequired
limitnumberrequired
accountstring
exportstring
searchstring

Search across description, reference

tostring, (date-time)

To Date

Example:to=2026-01-01T23:59:59
fromstring, (date-time)

From Date

Example:from=2025-11-01
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/transactions?page=0&limit=0&account=string&export=string&search=string&to=2026-01-01T23%3A59%3A59&from=2025-11-01' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

List of transactions

Bodyapplication/json
docsArray of objects(TransactionV1Dto)

Transaction documents

totalnumber

Total count

limitobject

Limit per page

pageobject

Current page

pagesnumber

Total pages

Response
{ "docs": [ {} ], "total": 0, "limit": {}, "page": {}, "pages": 0 }